Index: kde-2.1/kdenetwork-2.1/admin/ltmain.sh
diff -u kde-2.1/kdenetwork-2.1/admin/ltmain.sh:1.1.1.1 kde-2.1/kdenetwork-2.1/admin/ltmain.sh:1.2
--- kde-2.1/kdenetwork-2.1/admin/ltmain.sh:1.1.1.1	Tue Feb 27 10:59:28 2001
+++ kde-2.1/kdenetwork-2.1/admin/ltmain.sh	Fri Mar  2 08:43:59 2001
@@ -2868,6 +2868,8 @@
 	     test -n "$hardcode_libdirs"; then
 	    libdir="$hardcode_libdirs"
 	    eval dep_rpath=\"$hardcode_libdir_flag_spec\"
+	  else
+	    dep_rpath="${wl}-bnolibpath"
 	  fi
 	  if test -n "$runpath_var" && test -n "$perm_rpath"; then
 	    # We should set the runpath_var.
@@ -3274,6 +3276,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       compile_rpath="$rpath"
 
@@ -3310,6 +3314,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       finalize_rpath="$rpath"
 
@@ -3502,7 +3508,9 @@
       # AIX runtime linking requires linking programs with -Wl,-brtl and libs with -Wl,-G
       case "$host" in
         *-*-aix4*) compile_command="$compile_command $wl-brtl"
-                   finalize_command="$finalize_command $wl-brtl" ;;
+                   compile_command=`$echo "X$compile_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"`
+                   finalize_command="$finalize_command $wl-brtl"
+                   finalize_command=`$echo "X$finalize_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"` ;;
       esac
 
       if test $need_relink = no || test "$build_libtool_libs" != yes; then
@@ -4393,10 +4401,18 @@
 	      esac
 	    fi
 	    libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
-	    if test -n "$libdir" && test ! -f "$libfile"; then
-	      $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
-	      finalize=no
-	    fi
+            # Make sure we look in the destination dir as well as the final dir
+            if test -z "$DESTDIR"; then
+	      if test -n "$libdir" && test ! -f "$libfile"; then
+		$echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
+		finalize=no
+	      fi
+            else
+              if test -n "$libdir" && test ! -f "$libfile" && test -n "$DESTDIR/$libdir" && test ! -f "$DESTDIR/$libfile"; then
+                $echo "$modename: warning: \`$lib' has not been installed in \`$libdir' or \`\$DESTDIR/$libdir'" 1>&2
+                finalize=no
+              fi
+            fi
 	  done
 
 	  relink_command=
@@ -4421,6 +4437,8 @@
 	      outputname="$tmpdir/$file"
 	      # Replace the output file specification.
 	      relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
+              # Make sure we look in the destination dir as well as the final dir
+              test -z "$DESTDIR" || relink_command=`$echo "X$relink_command" | $Xsed -e 's%-L'"$libdir"'%-L'"$libdir"' -L'"$DESTDIR/$libdir"'%g'`
 
 	      $show "$relink_command"
 	      if $run eval "$relink_command"; then :
Index: kde-2.1/kdenetwork-2.1/kmailcvt/filter_oe4.cxx
diff -u kde-2.1/kdenetwork-2.1/kmailcvt/filter_oe4.cxx:1.1.1.1 kde-2.1/kdenetwork-2.1/kmailcvt/filter_oe4.cxx:1.2
--- kde-2.1/kdenetwork-2.1/kmailcvt/filter_oe4.cxx:1.1.1.1	Tue Feb 27 10:59:25 2001
+++ kde-2.1/kdenetwork-2.1/kmailcvt/filter_oe4.cxx	Fri Mar  2 10:08:58 2001
@@ -15,6 +15,10 @@
  *                                                                         *
  ***************************************************************************/
 
+#if defined(_AIX) && !defined(_AIX51)
+#  include <strings.h>
+#endif
+
 #include "filter_oe4.hxx"
 #include "oe4_2mbox.h"
 #include "harray.hxx"
Index: kde-2.1/kdenetwork-2.1/lanbrowsing/lisa/netscanner.cpp
diff -u kde-2.1/kdenetwork-2.1/lanbrowsing/lisa/netscanner.cpp:1.1.1.1 kde-2.1/kdenetwork-2.1/lanbrowsing/lisa/netscanner.cpp:1.2
--- kde-2.1/kdenetwork-2.1/lanbrowsing/lisa/netscanner.cpp:1.1.1.1	Tue Feb 27 10:59:30 2001
+++ kde-2.1/kdenetwork-2.1/lanbrowsing/lisa/netscanner.cpp	Fri Mar  2 10:13:48 2001
@@ -34,8 +34,41 @@
 #endif
 #include <netinet/in_systm.h>
 #include <netinet/ip.h>
+#define icmp _icmp
 #include <netinet/ip_icmp.h>
-
+#undef icmp
+struct icmp {
+        u_char  icmp_type;              /* type of message, see below */
+        u_char  icmp_code;              /* type sub code */
+        u_short icmp_cksum;             /* ones complement cksum of struct */
+        union {
+                u_char ih_pptr;                 /* ICMP_PARAMPROB */
+                struct in_addr ih_gwaddr;       /* ICMP_REDIRECT */
+                struct {
+                        n_short icd_id;
+                        n_short icd_seq;
+                } ih_idseq;
+                int ih_void;
+                /* ICMP_UNREACH_NEEDFRAG -- Path MTU Discovery (RFC1191) */
+                struct {
+                        n_short ipm_void;
+                        n_short ipm_nextmtu;
+                } ih_pmtu;
+        } icmp_hun;
+        union {
+                struct id_ts {
+                        n_time its_otime;
+                        n_time its_rtime;
+                        n_time its_ttime;
+                } id_ts;
+                struct id_ip  {
+                        struct ip idi_ip;
+                        /* options and then 64 bits of data */
+                } id_ip;
+                u_long  id_mask;
+                char    id_data[1];
+        } icmp_dun;
+};
 
 #define getDebug() getDebug()<<procId
 
